Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Attributes | List of all members
osmium::relations::relations_manager_memory_usage Struct Reference

`#include <manager_util.hpp>`

## Public Attributes
std::size_t | relations_db
std::size_t | members_db
std::size_t | stash

## Detailed Description

Struct for memory usage numbers returned by various relations managers from the used_memory() function.

## Member Data Documentation

## ◆ members_db

std::size_t osmium::relations::relations_manager_memory_usage::members_db

## ◆ relations_db

std::size_t osmium::relations::relations_manager_memory_usage::relations_db

## ◆ stash

std::size_t osmium::relations::relations_manager_memory_usage::stash

The documentation for this struct was generated from the following file:

- include/osmium/relations/manager_util.hpp